/****************************************************************************
** Form implementation generated from reading ui file './usage.ui'
**
** Created: Mon Jun 9 00:04:28 2003
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.1.1   edited Nov 21 17:40 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "usage.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a UsageDialog as a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
UsageDialog::UsageDialog( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )

{
    if ( !name )
	setName( "UsageDialog" );
    UsageDialogLayout = new QVBoxLayout( this, 11, 6, "UsageDialogLayout"); 

    FunctionsBox = new QGroupBox( this, "FunctionsBox" );
    FunctionsBox->setColumnLayout(0, Qt::Vertical );
    FunctionsBox->layout()->setSpacing( 6 );
    FunctionsBox->layout()->setMargin( 11 );
    FunctionsBoxLayout = new QVBoxLayout( FunctionsBox->layout() );
    FunctionsBoxLayout->setAlignment( Qt::AlignTop );

    FunctionsUsage = new QLabel( FunctionsBox, "FunctionsUsage" );
    FunctionsBoxLayout->addWidget( FunctionsUsage );
    UsageDialogLayout->addWidget( FunctionsBox );

    OperatorsBox = new QGroupBox( this, "OperatorsBox" );
    OperatorsBox->setColumnLayout(0, Qt::Vertical );
    OperatorsBox->layout()->setSpacing( 6 );
    OperatorsBox->layout()->setMargin( 11 );
    OperatorsBoxLayout = new QVBoxLayout( OperatorsBox->layout() );
    OperatorsBoxLayout->setAlignment( Qt::AlignTop );

    OperatorsUsage = new QLabel( OperatorsBox, "OperatorsUsage" );
    OperatorsBoxLayout->addWidget( OperatorsUsage );
    UsageDialogLayout->addWidget( OperatorsBox );

    ConstantsBox = new QGroupBox( this, "ConstantsBox" );
    ConstantsBox->setColumnLayout(0, Qt::Vertical );
    ConstantsBox->layout()->setSpacing( 6 );
    ConstantsBox->layout()->setMargin( 11 );
    ConstantsBoxLayout = new QVBoxLayout( ConstantsBox->layout() );
    ConstantsBoxLayout->setAlignment( Qt::AlignTop );

    ConstantsUsage = new QLabel( ConstantsBox, "ConstantsUsage" );
    ConstantsBoxLayout->addWidget( ConstantsUsage );
    UsageDialogLayout->addWidget( ConstantsBox );
    languageChange();
    resize( QSize(493, 733).expandedTo(minimumSizeHint()) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
UsageDialog::~UsageDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void UsageDialog::languageChange()
{
    setCaption( tr( "Usage" ) );
    FunctionsBox->setTitle( tr( "Functions" ) );
    FunctionsUsage->setText( tr( "abs(A)		\n"
"acos(A)		\n"
"acosh(A)	\n"
"asin(A)		\n"
"asinh(A)		\n"
"atan(A)	\n"
"atan2(A)	\n"
"atanh(A)\n"
"ceil(A)		\n"
"cos(A)		\n"
"cosh(A)\n"
"cot(A)\n"
"csc(A)\n"
"exp(A)		\n"
"floor(A)	\n"
"if(A,B,C)	\n"
"int(A)	\n"
"log(A)	\n"
"log10(A)	\n"
"max(A,B)	\n"
"min(A,B)\n"
"sec(A)\n"
"sin(A)	\n"
"sinh(A)	\n"
"sqrt(A)	\n"
"tan(A)	\n"
"tanh(A)" ) );
    OperatorsBox->setTitle( tr( "Operators (in order of precedence)" ) );
    OperatorsUsage->setText( tr( "-A		Unary minus\n"
"A^B		A raised to the power B\n"
"A*B, A/B, A%B	Multiplication, division, modulo\n"
"A+B, A-B	Addition and subtraction\n"
"A=B, A<B, A>B	Comparison between A and B (result is either 0 or 1)\n"
"A&B		Result is 1 if int(A) AND int(B) differ from 0, else 0\n"
"A|B		Result is 1 if int(A) OR int(B) differ from 0, else 0\n"
"" ) );
    ConstantsBox->setTitle( tr( "Constants" ) );
    ConstantsUsage->setText( tr( "pi 			3.141596535\n"
"e (Euler's constant)	2.718281828" ) );
}

#include "usage.moc"
